import unittest
import io
import contextlib
from unittest.mock import patch

from tmc import points

from tmc.utils import load, get_stdout
main = load('src.main', 'main')


@points('2.7')
class MainTest(unittest.TestCase):

    def test_00_prints_right_even(self):
        self.longMessage = False
        with patch('builtins.input', side_effect=['2']) as prompt:
            main()
            output = get_stdout().split('\n')
            self.assertEqual(output[0],'Number 2 is even.',msg='Väärin')

    def test_01_prints_right_odd(self):
        self.longMessage = False
        with patch('builtins.input', side_effect=['1']) as prompt:
            main()
            output = get_stdout().split('\n')
            self.assertEqual(output[0],'Number 1 is odd.',msg='Väärin')

